<?php


namespace AutoAdmin\Bundle\Content\Model;

use AutoAdmin\Bundle\Content\Entity\Locale;
use AutoAdmin\Bundle\Content\Entity\Site;
use Doctrine\Common\Collections\Collection;

interface DomainEntityInterface
{
    public function getDomain(): ?string;

    public function setDomain(?string $domain): self;

    public function getLocales(): Collection;

    public function setLocales(Collection $locales): self;

    public function addLocale(Locale $locale): self;

    public function removeLocale(Locale $locale): self;

    public function getSite(): ?Site;

    public function setSite(?Site $site): self;
}